Subject: RFC 4364 errata

From: Alfred Hönes <[email-masked]>
Date: Mon, 20 Mar 2006 12:09:33 +0100 (MEZ)

Hello,
I'd like to report a few textual issues I found in your
recently published RFC 4364 (BGP/MPLS IP VPNs).  I propose
to post an Errata Note for RFC 4364 to resolve these issues.

To facilitate the recognition of the text changes proposed,
I have added change bars ('|') in column 1, and up/down pointing
marker lines ('^^^'/'vvv').

(1)  Section 1 (Introduction)

The 1st paragraph on page 3 contains the sentence:

                       [...].  The PE routers distribute, to the CE
   routers in a particular VPN, the routes from other the CE routers in
   that VPN.  [...]

It should say:

                       [...].  The PE routers distribute, to the CE
|  routers in a particular VPN, the routes from the other CE routers in
   that VPN.  [...]
                                                ^^^^^^^^^

(2)  Section 3.3 (Populating the VRFs)

The last paragraph of Section 3.3, on mid-page 12, says:

   If an attachment circuit leads to a site which is in multiple VPNs,
   the attachment circuit may still associated with a single VRF, in
   which case the VRF will contain routes from the full set of VPNs of
   which the site is a member.

It should say:
                                   vvvv
   If an attachment circuit leads to a site which is in multiple VPNs,
|  the attachment circuit may still be associated with a single VRF, in
   which case the VRF will contain routes from the full set of VPNs of
   which the site is a member.

(3)  Section 6 (Maintaining Proper Isolation of VPNs)

At the bottom of page 26, and extending to page 27, the text says:

   The first condition ensure that any labeled packets received from
   non-backbone routers have a legitimate and properly assigned label at
<< page break >>
   the top of the label stack.  [...]

It should say:
                             vv
|  The first condition ensures that any labeled packets received from
   non-backbone routers have a legitimate and properly assigned label at
<< page break >>
   the top of the label stack.  [...]

(4)  Section 7 (How PEs Learn Routes from CEs)

The descrition of 'technique #4', on mid-page 28 says:

      4. The PE and CE routers may be BGP peers, and the CE router may
         use BGP (in particular, EBGP to tell the PE router the set of
         address prefixes that are at the CE router's site. (This
         technique can be used in stub VPNs or transit VPNs.)

It should say:
                                    vvv
      4. The PE and CE routers may be BGP peers, and the CE router may
|        use BGP (in particular, EBGP) to tell the PE router the set of
         address prefixes that are at the CE router's site. (This
         technique can be used in stub VPNs or transit VPNs.)

(5)  Section 9 (Carriers' Carriers)

The last paragraph at the bottom of page 31 contains the sentence:

                                                       [...].  All that
   is required is that the external routes be known to whatever routers
   are responsible for putting the label stack on a hitherto unlabeled
   packet and that there be label switched path that leads from those
   routers to their BGP peers at other sites.  [...]

It should say:

                                                       [...].  All that
   is required is that the external routes be known to whatever routers
   are responsible for putting the label stack on a hitherto unlabeled
|  packet and that there be a label switched path that leads from those
   routers to their BGP peers at other sites.  [...]
                           ^^^

Best regards,
  Alfred Hönes.

-- 

+------------------------+--------------------------------------------+
| TR-Sys Alfred Hoenes   |  Alfred Hoenes   Dipl.-Math., Dipl.-Phys.  |
| Gerlinger Strasse 12   |  Phone: (+49)7156/9635-0, Fax: -18         |
| D-71254  Ditzingen     |  E-Mail:  [email-masked]                     |
+------------------------+--------------------------------------------+